version: "3.9"

services:
  db:
    image: mysql:8.0
    restart: always
    environment:
      MYSQL_ROOT_PASSWORD: P@ssw0rd
    ports:
      - 8080:8080
  app:
    image: mohammadkhatib/devops:221124-aff2bc94
    restart: always
    environment:
      DB_URL: jdbc:mysql://127.0.0.1/assignment?allowPublicKeyRetrieval=true
      DBS_USERNAME: root
      DBS_PASSWORD: P@ssw0rd
    ports:
      - 8090:8090
